View Issue Details

IDProjectCategoryView StatusLast Update
0001412PartDesignBugpublic2014-03-12 17:59
ReporterstthAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionreopened 
PlatformlinuxOSubuntuOS Version13.10
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001412: Extrunding sketch doesn't make a solid
Descriptionthe uploaded sketch cannot be extruded to a solid although the solver says, the sketch would be ok.

extruding a rectangle using the same steps works fine.
Steps To Reproducenew file
workbench partdesign
  new sketch
    yz-plane, tick inverse (does not seem to matter)
  reproduce the sketch
workbench part
  extrude to negative x-axis (-1,0,0), tick make solid

voila, front and back are missing
Additional Informationfreecad is from installed via apt from universe (0.13.1830-dfsg-3)
TagsNo tags attached.

Activities

stth

2014-02-13 23:48

reporter  

extrude_bug.FCStd (5,776 bytes)

shoogen

2014-02-14 08:19

developer   ~0004218

after changing solid to false and back to true again, the shape get recomputed.
It then become a solid in my version.
OS: Debian GNU/Linux 7.4 (wheezy)
Platform: 64-bit
Version: 0.14.3140 (Git)
Branch: piecewise-bezier
Hash: d658bc6851a2611bd08b1c4a9aee1fc38628cc9a
Python version: 2.7.3
Qt version: 4.8.2
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.7.0

Instead of using Part/Extrude you should use PartDesign/Pad as it assumes that you always want to create a solid.
BTW: You did not provide complete FreeCAD version information

wmayer

2014-02-14 08:37

administrator   ~0004219

Using the old 0.13.1828 build on Windows shows the same behaviour that the solid fails -- but the pad works. This version uses OCC 6.3. Using OCC 6.6 in a newer version works.

So, to solve this issue for older OCC versions we can move the extra checks we do for the pad to the extrude function.

stth

2014-02-14 18:46

reporter   ~0004222

ok, pad works in my version, too,

thanks

yorik

2014-03-11 01:47

administrator   ~0004412

I reckon this can be closed? Please reopen if it should stay open

wmayer

2014-03-11 08:42

administrator   ~0004421

The extrude feature should be ironed a bit so that it works as reliably as the pad. Also if the solid option is checked it should support faces with holes.

Issue History

Date Modified Username Field Change
2014-02-13 23:48 stth New Issue
2014-02-13 23:48 stth File Added: extrude_bug.FCStd
2014-02-14 08:19 shoogen Note Added: 0004218
2014-02-14 08:37 wmayer Note Added: 0004219
2014-02-14 18:46 stth Note Added: 0004222
2014-03-11 01:47 yorik Note Added: 0004412
2014-03-11 01:47 yorik Status new => closed
2014-03-11 01:47 yorik Resolution open => no change required
2014-03-11 01:47 yorik Fixed in Version => 0.14
2014-03-11 08:42 wmayer Note Added: 0004421
2014-03-11 08:42 wmayer Assigned To => wmayer
2014-03-11 08:42 wmayer Severity major => minor
2014-03-11 08:42 wmayer Status closed => assigned
2014-03-11 08:42 wmayer Resolution no change required => reopened
2014-03-12 17:59 wmayer Changeset attached => FreeCAD Master master f96fbcac
2014-03-12 17:59 wmayer Status assigned => closed